Description

Adding user defined columns is really great and I love it.

What I would like to do is the following:

We have several over web based systems which track certain things, an example are our MR (modification request) and TR (trouble

report) numbers, so what I did is added these as user defined fields to various workflow types..

It works great. What I would like to define though is the ability to specify a template for a URL.

Example:

Details about an MR number can be found under:

http://someinternalserver/Defects/display_mr.asp?Defect=12345

When I make 'MR' a user defined field, I would during definition also like to specify the URL template in the form:

http://someinternalserver/Defects/display_mr.asp?Defect=$VALUE$

(or similar)

so that whenever the MR number is displayed anywhere in the program, it is a hyperlink to the specified address template for the

column.

We have several different databases and having direct links that are directly clickable would make life a lot easier.

Related issues:

Is duplicate of Redmine - Feature #1358: Link_to for Custom Field Closed 2008-06-03

History

#1 - 2010-07-07 19:47 - Holger Winkelmann

Hi,

sounds a little bit like this plugin: http://www.redmine.org/wiki/redmine/PluginSimpleSupport

#2 - 2010-07-07 20:06 - Michael Klose

It's similar, but not the same. I'm definitely going to try the mentioned plugin though - thanks for that!

However, what I am proposing is so that once you have added the user defined column that all the values you enter in it can become links, you also

then don't need to always enter full urls.

#3 - 2015-04-16 21:41 - Sebastian Paluch

This seems to be implemented as #1358.

#4 - 2015-05-16 05:40 - Toshi MARUYAMA

- Category set to Custom fields

#5 - 2015-05-16 05:41 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate
http://someinternalserver/Defects/display_mr.asp?Defect=12345
http://someinternalserver/Defects/display_mr.asp?Defect=%24VALUE
http://www.redmine.org/wiki/redmine/PluginSimpleSupport
https://www.redmine.org/issues/1358


Sebastian Paluch wrote:

This seems to be implemented as #1358.

 Indeed.

#1358#note-19

#6 - 2015-05-16 05:41 - Toshi MARUYAMA

- Is duplicate of Feature #1358: Link_to for Custom Field added
